Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# iconset.hh File Reference

A GtkIconSet C++ wrapper interface. More...

`#include <xfc/gtk/iconsource.hh>`
`#include <vector>`
`#include <xfc/gtk/inline/iconset.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gdk
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::IconSet
    A GtkIconSet C++ wrapper class. More...

## Detailed Description

A GtkIconSet C++ wrapper interface.

Provides IconSet, an object that represents a single icon in various sizes and widget states.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3